Package Details: leagueoflegends-git 12.16.r0.g8db757e-1

Git Clone URL: https://aur.archlinux.org/leagueoflegends-git.git (read-only, click to copy)
Package Base: leagueoflegends-git
Description: League of Legends helper script
Upstream URL: https://github.com/kyechou/leagueoflegends
Keywords: LoL
Licenses: GPL3
Conflicts: leagueoflegends
Provides: leagueoflegends
Submitter: Nefelim4ag
Maintainer: kyechou
Last Packager: kyechou
Votes: 30
Popularity: 0.022350
First Submitted: 2016-11-08 01:49 (UTC)
Last Updated: 2022-08-26 20:31 (UTC)

Dependencies (23)

Required by (0)

Sources (1)

Latest Comments

1 2 3 4 5 6 .. 8 Next › Last »

cirune commented on 2022-11-23 03:52 (UTC)

Will do! Thank you. :)

kyechou commented on 2022-11-23 03:32 (UTC)

Hi @cirune, since that's not really a packaging issue. Please report the crash to https://github.com/kyechou/leagueoflegends, with the detailed information requested in the template, including system hardware settings, logs and commands that were used.

I couldn't reproduce the problem at my setups (both X11 and Wayland). So anyone who has the same issue please also report it at the GitHub issue tracker.

cirune commented on 2022-11-23 01:52 (UTC)

Hello everyone. Today (nov. 22) the League of Legends client (not the game itself) started to crash right after pressing play in the Riot Client.

The League of Legends logo appears but isn't rendered correctly (Just like it was with the 5m delay bug we had before.)

The problem is present on both of my machine on a fresh leagueoflegends-git install.

I'm using Arch (6.0.9 with Wayland and wine 7.20) and Manjaro (5.15 LTS, X11 and wine 7.20). In both case, leagueoflegends-git pulled the wine-lol and compiled locally.

I have a little bit of trouble to access the wine log, but when I use the verbose option of the wrapper I get no log for the crash.

Is the problem back and since the workaround isn't enable anymore we are back to crashing?

kyechou commented on 2022-05-15 19:05 (UTC) (edited on 2022-05-15 19:18 (UTC) by kyechou)

Hi @optomus, the lib32-unixodbc source link works for me, although some other people also reported it not working. In the mean time, you can try patching the PKGBUILD yourself with this link (http://www.unixodbc.org/unixODBC-2.3.11.tar.gz) and proceed to build the package.

As for the issue about not being able to clone the git repo, it was due to some kind of transient DNS error for the AUR site, which should be working now.

optomus commented on 2022-05-12 02:17 (UTC)

Trying to install on Manjaro and it fails to build lib32-unixodbc which seems to not have anything available in its git repo. I cannot clone the git repo. Thorws: fatal: unable to access 'https://aur.archlinux.org/leagueoflegends-git.git/': Could not resolve host: aur.archlinux.org

Thoughts?

kyechou commented on 2022-04-08 14:27 (UTC)

@entith, I've updated the dependencies.

kyechou commented on 2022-03-31 13:17 (UTC) (edited on 2022-03-31 13:44 (UTC) by kyechou)

Hi @entith, you're right. I don't think we need the git version anymore. I've updated the package but I'm having trouble pushing the changes (or even fetching). I'll do it when I'm able to.

@gameslayer, thanks for letting me know! But the error doesn't seem to related to this package. You may want to report it to wine-ge-lol (https://aur.archlinux.org/packages/wine-ge-lol).

entith commented on 2022-03-31 08:02 (UTC)

Does this need to depend on winetricks-git instead of winetricks? The former is failing to build.

gameslayer commented on 2022-03-21 13:45 (UTC) (edited on 2022-03-21 13:46 (UTC) by gameslayer)

failed to build

log via gist: https://gist.github.com/coreybruce/4fbd40b297f2edc75cb10796a7972958

kyechou commented on 2022-02-16 15:50 (UTC)

@dr460nf1r3, thanks for letting me know! Just updated the package.